Bug 117871 - [MAINTAINER]: net/silc-irssi-plugin move to irssi-devel
Summary: [MAINTAINER]: net/silc-irssi-plugin move to irssi-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-06 17:00 UTC by Wesley Shields
Modified: 2007-11-12 01:33 UTC (History)
0 users

See Also:


Attachments
file.diff (1.06 KB, patch)
2007-11-06 17:00 UTC, Wesley Shields
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wesley Shields 2007-11-06 17:00:07 UTC
net/silc-irssi-plugin core dumps when using the release version of irssi
in irc/irssi.  The attached patch bumps PORTREVISION in
net/silc-irssi-plugin and then changes the RUN_DEPENDS to be
irc/irssi-devel.  This is only a temporary solution until the next
release of irssi comes out.

I think a note should be added to UPDATING which states that irssi
should be deinstalled before upgrading this port because of the
conflict.

How-To-Repeat: See the following thread which has a backtrace:

http://lists.silcnet.org/pipermail/silc-devel/2007-November/002007.html
Comment 1 Martin Wilke freebsd_committer 2007-11-06 17:17:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

take
Comment 2 Wesley Shields 2007-11-06 18:49:43 UTC
After speaking to miwi@ I've decided that patching irssi is a better
solution than moving to irssi-devel.  Attached is a patch which fixes
irssi and bumps PORTREVISION on silc-irssi-plugin.  The patch is
relative to $PORTSDIR.

The patch to irssi came from their SVN and can be removed when a new
release is made.

Index: irc/irssi/Makefile
===================================================================
RCS file: /home/ncvs/ports/irc/irssi/Makefile,v
retrieving revision 1.101
diff -u -r1.101 Makefile
--- irc/irssi/Makefile	11 Oct 2007 20:14:56 -0000	1.101
+++ irc/irssi/Makefile	6 Nov 2007 18:36:47 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	irssi
 PORTVERSION=	0.8.12
+PORTREVISION=	1
 CATEGORIES?=	irc
 MASTER_SITES=	http://mirror.irssi.org/
 
Index: irc/irssi/files/patch-src_fe-common_irc_fe-irc-messages.c
===================================================================
RCS file: irc/irssi/files/patch-src_fe-common_irc_fe-irc-messages.c
diff -N irc/irssi/files/patch-src_fe-common_irc_fe-irc-messages.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ irc/irssi/files/patch-src_fe-common_irc_fe-irc-messages.c	6 Nov 2007 18:36:47 -0000
@@ -0,0 +1,11 @@
+--- src/fe-common/irc/fe-irc-messages.c.orig	Sat Oct 20 14:45:59 2007
++++ src/fe-common/irc/fe-irc-messages.c	Sat Oct 20 14:46:21 2007
+@@ -44,7 +44,7 @@ static const char *skip_target(IRC_SERVER_REC *server,
+ 	const char *val, *chars;
+ 
+ 	/* Quick check */
+-	if (server->prefix[(int)(unsigned char)*target] == 0)
++	if (server == NULL || server->prefix[(int)(unsigned char)*target] == 0)
+ 		return target;
+ 
+ 	/* Hack: for bahamut 1.4 which sends neither STATUSMSG nor
Index: net/silc-irssi-plugin/Makefile
===================================================================
RCS file: /home/ncvs/ports/net/silc-irssi-plugin/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- net/silc-irssi-plugin/Makefile	17 Sep 2007 15:24:30 -0000	1.1
+++ net/silc-irssi-plugin/Makefile	6 Nov 2007 18:36:47 -0000
@@ -5,6 +5,7 @@
 # $FreeBSD: ports/net/silc-irssi-plugin/Makefile,v 1.1 2007/09/17 15:24:30 miwi Exp $
 #
 
+PORTREVISION=	1
 CATEGORIES=	net irc
 
 COMMENT=	SILC plugin for IRSSI
Comment 3 Martin Wilke freebsd_committer 2007-11-06 22:59:05 UTC
Responsible Changed
From-To: miwi->vanilla

after discussion on irc over to the irssi maintainer.
Comment 4 dfilter service freebsd_committer 2007-11-11 22:33:08 UTC
vanilla     2007-11-11 22:33:05 UTC

  FreeBSD ports repository

  Modified files:
    irc/irssi            Makefile 
  Added files:
    irc/irssi/files      patch-src_fe-common_irc_fe-irc-messages.c 
  Log:
  Fix coredump with silc-irssi-plugin.
  
  PR:             ports/117871
  Submitted by:   Wesley Shields <wxs.at.atarininja.org>
  Approved by:    portmgr@ (linimon)
  
  Revision  Changes    Path
  1.102     +1 -0      ports/irc/irssi/Makefile
  1.1       +11 -0     ports/irc/irssi/files/patch-src_fe-common_irc_fe-irc-messages.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2007-11-11 22:34:58 UTC
vanilla     2007-11-11 22:34:54 UTC

  FreeBSD ports repository

  Modified files:
    net/silc-irssi-plugin Makefile 
  Log:
  Fix coredump with irc/irssi.
  
  PR:             ports/117871
  Submitted by:   Wesley Shields <wxs.at.atarininja.org>
  Approved by:    portmgr@ (linimon@)
  
  Revision  Changes    Path
  1.2       +1 -0      ports/net/silc-irssi-plugin/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Vanilla I. Shu freebsd_committer 2007-11-12 01:33:16 UTC
State Changed
From-To: open->closed

Committed, thanks.